Skip to main content

Create Lease file: Yardi - Not Supported

POSThttps://api.propexo.com/v1/leases/yardi/:lease_id/file-upload/

Yardi does not support creating a lease file via their API. This endpoint will always return a 405, with an error message specifying that creating a lease file in a Yardi integration is not supported due to the lack of upstream support. Fortunately, due to the way that Yardi represents Residents and Leases in the UI, we would recommend you instead use the Create Resident File endpoint as the next best option.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lease_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    object

Response​

Successful response

    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/leases/yardi/:lease_id/file-upload/
curl -X POST https://api.propexo.com/v1/leases/yardi/:lease_id/file-upload/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}'
200 Successful response
{}